<?php
/**
 * Data Transfer Object for `123flashchat` table.  
 * 
 * @author TopCMM <sales@123flashchat.com>
 * @package ow.plugin.123flashchat.bol
 * @since 1.0
 * 
 */
class FLASHCHAT_BOL_Clip extends OW_Entity
{
    /**
     * Clip owner
     *
     * @var int
     */
    public $userId;
    /**
     * Embeddable code
     *
     * @var string
     */
    public $code;
    /**
     * Clip title
     *
     * @var string
     */
    public $title;
    /**
     * Clip description
     *
     * @var string
     */
    public $description;
    /**
     * Date and time clip was added
     *
     * @var int
     */
    public $addDatetime;
    /**
     * Embed code provider like 'youtube', 'metacafe' etc.
     *
     * @var string
     */
    public $provider;
    /**
     * Clip approval status ('approval' | 'approved' | 'blocked')
     *
     * @var string
     */
    public $status;
    /**
     * @var string
     */
    public $privacy;
    /**
     * Returns user id
     *
     * @return int
     */
    public function getUserId()
    {
        return $this->userId;
    }
}