<?php
class FLASHCHAT_BOL_FlashchatDao extends OW_BaseDao
{
	private static $classInstance;
	
	protected function __construct(){
        parent::__construct();
    }
    
	/**
     * Returns class instance
     *
     * @return FLASHCHAT_BOL_Clip
     */
    public static function getInstance(){
        if ( null === self::$classInstance ){
            self::$classInstance = new self();
        }
        return self::$classInstance;
    }
    
    public function getSettings(){
    	$query = "SELECT * FROM `" . $this->getTableName() . "` ";
		return $this->dbo->queryForObject($query, $this->getDtoClassName());
    }
    
    public function setSettings($data){
    	$sql = "";
    	$dot = "";
    	foreach($data as $key => $value){
    		$sql .= $dot . "`".$key."` = '" . $value."'";
    		$dot = ", ";
    	}
    	$query = "UPDATE `" . $this->getTableName() . "` SET " . $sql . " WHERE id = 1";
		return $this->dbo->query($query, array());
    }
        
	/**
     * @see OW_BaseDao::getDtoClassName()
     *
     * @return string
     */
    public function getDtoClassName(){
        return 'FLASHCHAT_BOL_Clip';
    }

    /**
     * @see OW_BaseDao::getTableName()
     *
     * @return string
     */
    public function getTableName(){
        return OW_DB_PREFIX . '123flashchat';
    }
}