<?php

/**
 * 123FlashChat cron job.
 *
 * @author TopCMM <sales@123flashchat.com>
 * @package ow.ow_plugins.123flashchat
 * @since 1.0
 */
class FLASHCHAT_Cron extends OW_Cron
{
    const FLASHCHAT_DELETE_LIMIT = 10;
    
    public function __construct()
    {
        parent::__construct();

        $this->addJob('flashchatDeleteProcess', 1);
    }

    public function run()
    {
        
    }

    public function flashchatDeleteProcess()
    {
        $config = OW::getConfig();
        
        // check if uninstall is in progress
        if ( !$config->getValue('123flashchat', 'uninstall_inprogress') )
        {
            return;
        }
        
        // check if cron queue is not busy
        if ( $config->getValue('123flashchat', 'uninstall_cron_busy') )
        {
            return;
        }
        
        $config->saveConfig('123flashchat', 'uninstall_cron_busy', 1);
        /*
        $albumService = PHOTO_BOL_PhotoAlbumService::getInstance();
        $albumService->deleteAlbums(self::ALBUMS_DELETE_LIMIT);

        $config->saveConfig('123flashchat', 'uninstall_cron_busy', 0);
        
        if ( !$albumService->countAlbums() ) 
        {
            $config->saveConfig('123flashchat', 'uninstall_inprogress', 0);
            BOL_PluginService::getInstance()->uninstall('photo');

            PHOTO_BOL_PhotoService::getInstance()->setMaintenanceMode(false);
        }
        */
    }
}